#include "..\Header Files\Ninfa3D.h"

	class CSoundSceneNode : public ISceneNode
	{
	public:
		CSoundSceneNode(ISceneNode* parent,ISceneManager* mgr,s32 id);
		~CSoundSceneNode();

		void addSound(ALbyte* fileName);

		void setVolume(float value);
		void setPitch(float value);
		void setPlay();
		void setStop();
		void setLoop();
		void setPause();
		void setRewind();
		void setType(int mode);

		void setReferenceDistance(float value);
		void setRollOff(float value);

		ALuint getSound();

		virtual void remove();

		virtual void setName(const char* name);
		virtual const char* getName();

		virtual void setParent(ISceneNode* newParent);
		virtual void setPosition(const vector3df& position);

		virtual void OnPreRender();
		virtual void render();
		virtual SMaterial& getMaterial(s32 i);
		virtual const aabbox3d<f32>& getBoundingBox() const;

	private:

		aabbox3d<f32> BBox;
		SMaterial material;

		ISceneNode* mesh;

		ALuint sourceID;
		ALuint bufferID;
	};